package com.cpp.web.service.alarm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.Alarm.AlarmConf;
import com.cpp.web.mapper.alarm.AlarmConfMapper;
import com.cpp.web.service.alarm.AlarmConfService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 告警配置业务层实现类
 *
 * @author tl
 * @date 2024-10-16 15:11
 */
@AllArgsConstructor
@Slf4j
@Service
public class AlarmConfServiceImpl extends ServiceImpl<AlarmConfMapper, AlarmConf> implements AlarmConfService {

}
