package com.cpp.web.service.powerGeneation;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.powerGeneration.DayPowerGeneration;

import java.util.Date;
import java.util.List;


/**
 * cpp_day_power_generation
 *
 * @author tl
 * @date 2024-10-14 15:28:33
 */
public interface DayPowerGenerationService extends IService<DayPowerGeneration> {

    DayPowerGeneration findByStationCodeAndGenDate(String stationCode, Date genDate);

    void generatePower(String stationCode);

    List<DayPowerGeneration> findByStationCodeAndGenDateAndPredictionDataSource(String StationCode,String genDate,String predictionDataSource);
}
