package com.cpp.web.service.station;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.ForecastPowerShortTermStation;
import com.cpp.web.domain.station.ForecastPowerUltraShortTermRegulation;

import java.util.Date;
import java.util.List;

/**
 * cpp_forecast_power_ultra_short_term_his
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface ForecastPowerUltraShortTermRegulationService extends IService<ForecastPowerUltraShortTermRegulation> {

    List<ForecastPowerUltraShortTermRegulation> findByForecastTimeBetweenAndForecastHowLongAgoAndStationCode(Long startTime, Long endTime, Integer howLongAgo, String stationCode);

    List<ForecastPowerUltraShortTermRegulation> findByForecastTimeAndStationCode(Long finalTime, String stationCode);

    List<ForecastPowerUltraShortTermRegulation> findByForecastTimeBetweenAndHowLongAgo(Date startTime, Date endTime, Integer howLongAgo);
}
