package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.InverterInfo;

import java.util.List;

/**
 * cpp_inverter_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface InverterInfoService extends IService<InverterInfo> {
    QueryWrapper<InverterInfo> getByStationCode(String stationCode);

    List<InverterInfo> findByStationCode(String stationCode);
}
