package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.WeatherStationInfo;

import java.util.List;


/**
 * cpp_weather_station_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface WeatherStationInfoService extends IService<WeatherStationInfo> {
    QueryWrapper<WeatherStationInfo> findByStationCode(String stationCode);

    List<WeatherStationInfo> getByStationCode(String stationCode);
}
