package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.WindTurbineStatusData;


import java.util.Date;
import java.util.List;

/**
 * cpp_wind_turbine_status_data
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface WindTurbineStatusDataService extends IService<WindTurbineStatusData> {
    QueryWrapper<WindTurbineStatusData> getByStationCodeAndEquipmentIdAndTimeBetween(String stationCode, String equipmentId, Date startTime, Date endTime);
}
