package com.cpp.web.domain.datafactory.dto;

import lombok.Data;

/*
 * 解析配置格式规则：
 *   s<<=>>1<<=>>entity
 *   s：单行标识
 *   1：取值在1行
 *   entity=：键标记标记
 *
 *   m<<=>>4-20<<=>>3
 *   m：多行标识
 *   4-20：取值在4-20行
 *   3：第三列
 * */
@Data
public class ParsingConfParam {

    //数据所在行
    private String lineNumber;

    //数据所在横向组
    private String rowNumber;

    //数据标记
    private String dataSign;

    //时间格式
    private String format;
}
