package com.cpp.web.domain.station.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 省调度中心枚举
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/5 9:02
 */
@Getter
@AllArgsConstructor
public enum ProvinceEnum {
    E11(11, "北京市"),
    E12(12, "天津市"),
    E13(13, "河北省-冀北"),
    E17(17, "河北省-南网"),
    E14(14, "山西省"),
    E15(15, "内蒙古自治区-蒙东"),
    E16(16, "内蒙古自治区-蒙西"),
    E21(21, "辽宁省"),
    E22(22, "吉林省"),
    E23(23, "黑龙江省"),
    E31(31, "上海市"),
    E32(32, "江苏省"),
    E33(33, "浙江省"),
    E34(34, "安徽省"),
    E35(35, "福建省"),
    E36(36, "江西省"),
    E37(37, "山东省"),
    E41(41, "河南省"),
    E42(42, "湖北省"),
    E43(43, "湖南省"),
    E44(44, "广东省"),
    E45(45, "广西壮族自治区"),
    E46(46, "海南省"),
    E50(50, "重庆市"),
    E51(51, "四川省"),
    E52(52, "贵州省"),
    E53(53, "云南省"),
    E54(54, "西藏自治区"),
    E61(61, "陕西省"),
    E62(62, "甘肃省"),
    E63(63, "青海省"),
    E64(64, "宁夏回族自治区"),
    E65(65, "新疆维吾尔自治区"),
    E99(99, "华北直调");
    private Integer code;
    private String message;
}
