package com.cpp.web.service.cloud;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.cloud.ForecastPowerUltraShortTermCloud;

import java.util.Date;
import java.util.List;

/**
 * idp_forecast_power_ultra_short_term
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface ForecastPowerUltraShortTermCloudService extends IService<ForecastPowerUltraShortTermCloud> {

    /**
     * 根据场站编号和时间范围来查询
     *
     * @param stationCode 场站编号
     * @param startTime   开始时间
     * @param endTime     结束时间
     * @return
     */
    List<ForecastPowerUltraShortTermCloud> findByStationCodeAndStartTimeAndEndTime(String stationCode, Date startTime, Date endTime);

}
