package com.cpp.web.service.overhaulplan;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.overhaulplan.OverhaulPlan;
import org.apache.poi.ss.formula.functions.T;

import javax.xml.crypto.Data;
import java.util.Date;
import java.util.List;

/**
 * cpp_overhaul_plan
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
public interface OverhaulPlanService extends IService<OverhaulPlan> {

    QueryWrapper<OverhaulPlan> getList();

    QueryWrapper<OverhaulPlan> getByStationCode(String stationCode,Integer status);

    List<OverhaulPlan> findByStationCode(String stationCode);

    List<OverhaulPlan> findByStationCodeAndTimeBetween(Date date,String stationCode);

    <T> List<T>  getCorrectionData(List<T> list);

}
