package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.WindTowerInfo;

import java.util.List;

/**
 * cpp_wind_tower_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface WindTowerInfoService extends IService<WindTowerInfo> {
    QueryWrapper<WindTowerInfo> findByStationCode(String stationCode);

    List<WindTowerInfo> getByStationCode(String stationCode);
}
