package com.cpp.web.service.station;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.station.WindTurbineInfo;

import java.util.List;

/**
 * cpp_wind_turbine_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
public interface WindTurbineInfoService extends IService<WindTurbineInfo> {
    QueryWrapper<WindTurbineInfo> getByStationCode(String stationCode);

    List<WindTurbineInfo> findByStationCode(String stationCode);
}
